use markov::Chain;
mod toki;
mod nimi_sin;

fn main() {
    let nimi_sin = nimi_sin::pali(4);
    println!("{}", nimi_sin); //o pali e nimi sin
    markov(); // o pali e kon pi nimi sin ni
    println!("{}", toki::pali(&nimi_sin));
}

fn markov() { // pali e nimi sin kepeken ilo Mako. 
    let mut mako = Chain::new();
    mako.feed_file("nimi").expect("lipu li lon ala a");
    println!("{}", mako.generate_str());
}

